summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--plugins/vi-mode/vi-mode.plugin.zsh8
1 files changed, 6 insertions, 2 deletions
diff --git a/plugins/vi-mode/vi-mode.plugin.zsh b/plugins/vi-mode/vi-mode.plugin.zsh
index f2745b409..ac9233290 100644
--- a/plugins/vi-mode/vi-mode.plugin.zsh
+++ b/plugins/vi-mode/vi-mode.plugin.zsh
@@ -17,8 +17,12 @@ function zle-keymap-select zle-line-init zle-line-finish {
# Ensure that the prompt is redrawn when the terminal size changes.
TRAPWINCH() {
if [[ -o zle ]]; then
- zle reset-prompt
- zle -R
+ # Verify that zle is active before trying to reset-prompt.
+ zle
+ if [[ $? -eq 0 ]]; then
+ zle reset-prompt
+ zle -R
+ fi
fi
}